>From c9e372abf2fc40a0ef07599e54f2b2755269a067 Mon Sep 17 00:00:00 2001
From: Michael Kuhn <suraia@ikkoku.de>
Date: Sun, 3 Nov 2013 11:32:32 +0100
Subject: [PATCH] Export Git variables, otherwise Git falls back to determining
 them itself.

---
 commit.d/50vcs-commit | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/commit.d/50vcs-commit b/commit.d/50vcs-commit
index 3a4c819..5987ad6 100755
--- a/commit.d/50vcs-commit
+++ b/commit.d/50vcs-commit
@@ -46,14 +46,14 @@ if [ "$VCS" = git ] && [ -d .git ]; then
 		USER_HOME="$(perl -e 'print ((getpwnam(shift()))[7])' "$USER")"
 		if [ -n "$USER_HOME" ] && [ -e "$USER_HOME/.gitconfig" ]; then
 			if [ -z "$GIT_AUTHOR_NAME" ]; then
-				GIT_AUTHOR_NAME="$(git config -f "$USER_HOME/.gitconfig" user.name)" || true
+				export GIT_AUTHOR_NAME="$(git config -f "$USER_HOME/.gitconfig" user.name)" || true
 			fi
 			if [ -z "$GIT_AUTHOR_EMAIL" ]; then
-				GIT_AUTHOR_EMAIL="$(git config -f "$USER_HOME/.gitconfig" user.email)" || true
+				export GIT_AUTHOR_EMAIL="$(git config -f "$USER_HOME/.gitconfig" user.email)" || true
 			fi
 		fi
 		if [ -z "$GIT_COMMITTER_EMAIL" ]; then
-			GIT_COMMITER_EMAIL="$(git config --global user.email)" || true
+			export GIT_COMMITER_EMAIL="$(git config --global user.email)" || true
 		fi
 
 		if [ -z "$GIT_AUTHOR_NAME" ]; then
-- 
1.8.4.2

